# src/macrsc/Makefile.inc

rel := src/macrsc

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# macrsc

MACRSC_BAS  := macrsc parse
MACRSC_SRC  := $(foreach f,$(MACRSC_BAS),$(rel)/$(f).c)
MACRSC_HDR  := $(foreach f,$(MACRSC_BAS),$(rel)/$(f).h)
MACRSC_OBJ  := $(foreach f,$(MACRSC_BAS),$(rel)/$(f).o)
MACRSC_MAN1 := $(rel)/macrsc.1
MACRSC_BIN  := $(rel)/macrsc$(EXEEXT)
MACRSC_SDP  := $(MACRSC_HDR) src/config.h
MACRSC_BDP  := $(MACRSC_OBJ) $(MACLIB_ARC)

BIN  += $(MACRSC_BIN)
MAN1 += $(MACRSC_MAN1)
CLN  += $(MACRSC_BIN) $(MACRSC_OBJ)
DIST += $(MACRSC_SRC) $(MACRSC_HDR) $(MACRSC_MAN1)

$(rel)/macrsc.o:	$(rel)/macrsc.c

$(rel)/macrsc$(EXEEXT): $(MACRSC_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MACRSC_OBJ) $(MACLIB_ARC) $(LIB)
