# src/dc42/Makefile.inc

rel := src/dc42

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# dc42

DC42_BAS  := dc42
DC42_SRC  := $(foreach f,$(DC42_BAS),$(rel)/$(f).c)
DC42_HDR  := $(foreach f,$(DC42_BAS),$(rel)/$(f).h)
DC42_OBJ  := $(foreach f,$(DC42_BAS),$(rel)/$(f).o)
DC42_MAN1 := $(rel)/dc42.1
DC42_BIN  := $(rel)/dc42$(EXEEXT)
DC42_BDP  := $(DC42_OBJ) $(MACLIB_ARC)

BIN  += $(DC42_BIN)
MAN1 += $(DC42_MAN1)
CLN  += $(DC42_BIN) $(DC42_OBJ)
DIST += $(DC42_SRC) $(DC42_HDR) $(DC42_MAN1)

$(rel)/dc42.o:	$(rel)/dc42.c

$(rel)/dc42$(EXEEXT): $(DC42_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(DC42_OBJ) $(MACLIB_ARC) $(LIB)
