/*****************************************************************************
 * mac-utils                                                                 *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/lib/buffer.h                                             *
 * Created:     2005-02-17 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2005-2009 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


#ifndef MAC_LIB_BUFFER_H
#define MAC_LIB_BUFFER_H 1


unsigned char get_uint8_be (const void *buf, unsigned i);
unsigned short get_uint16_be (const void *buf, unsigned i);
unsigned long get_uint32_be (const void *buf, unsigned i);

void set_uint8_be (void *buf, unsigned i, unsigned char v);
void set_uint16_be (void *buf, unsigned i, unsigned short v);
void set_uint32_be (void *buf, unsigned i, unsigned long v);


#endif
