# src/mactobdf/Makefile.inc

rel := src/mactobdf

DIRS += $(rel)
DIST += $(rel)/Makefile.inc


# ----------------------------------------------------------------------
# mactobdf

MACTOBDF_BAS  := mactobdf
MACTOBDF_SRC  := $(foreach f,$(MACTOBDF_BAS),$(rel)/$(f).c)
MACTOBDF_HDR  := $(foreach f,$(MACTOBDF_BAS),$(rel)/$(f).h)
MACTOBDF_OBJ  := $(foreach f,$(MACTOBDF_BAS),$(rel)/$(f).o)
MACTOBDF_MAN1 := $(rel)/mactobdf.1
MACTOBDF_BIN  := $(rel)/mactobdf$(EXEEXT)
MACTOBDF_SDP  := $(MACTOBDF_HDR) src/config.h
MACTOBDF_BDP  := $(MACTOBDF_OBJ) $(MACLIB_ARC)

BIN  += $(MACTOBDF_BIN)
MAN1 += $(MACTOBDF_MAN1)
CLN  += $(MACTOBDF_BIN) $(MACTOBDF_OBJ)
DIST += $(MACTOBDF_SRC) $(MACTOBDF_HDR) $(MACTOBDF_MAN1)

$(rel)/mactobdf.o:	$(rel)/mactobdf.c

$(rel)/mactobdf$(EXEEXT): $(MACTOBDF_BDP)
	$(QP)echo "  LD     $@"
	$(QR)$(LD) -o $@ $(LDFLAGS_DEFAULT) $(MACTOBDF_OBJ) $(MACLIB_ARC) $(LIB)
