/*****************************************************************************
 * mac-utils                                                                 *
 *****************************************************************************/

/*****************************************************************************
 * File name:   src/mactobdf/mactobdf.h                                      *
 * Created:     2001-01-06 by Hampa Hug <hampa@hampa.ch>                     *
 * Copyright:   (C) 2001-2009 Hampa Hug <hampa@hampa.ch>                     *
 *****************************************************************************/

/*****************************************************************************
 * This program is free software. You can redistribute it and / or modify it *
 * under the terms of the GNU General Public License version 2 as  published *
 * by the Free Software Foundation.                                          *
 *                                                                           *
 * This program is distributed in the hope  that  it  will  be  useful,  but *
 * WITHOUT  ANY   WARRANTY,   without   even   the   implied   warranty   of *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU  General *
 * Public License for more details.                                          *
 *****************************************************************************/


typedef struct {
	int fontType;
	int firstChar;
	int lastChar;
	int widMax;
	int kernMax;
	int nDescent;
	int fRectWidth;
	int fRectHeight;
	int owTLoc;
	int ascent;
	int descent;
	int leading;
	int rowWords;
} FontRec;

typedef struct {
	unsigned      w;
	unsigned      h;
	unsigned      wcnt;
	unsigned char *row[256];
} BitImage;

typedef struct {
	short    present;

	unsigned bi_x;
	unsigned bi_w;

	int      ofs;
	int      width;
} Char;

typedef struct {
	unsigned chrcnt;

	Char     chr[256];
} CharTab;

typedef struct {
	char     name[256];
	unsigned size;
} FontInfo;
